Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.red5.io.utils
Class HexCharset.Encoder

    java.lang.Object
      java.nio.charset.CharsetEncoder
          org.red5.io.utils.HexCharset.Encoder

Enclosing class:
  HexCharset

    public class HexCharset.Encoder

extends CharsetEncoder

Method Summary
`CoderResult` | `encodeLoop(CharBuffer in, ByteBuffer out)`
`protected CoderResult` | `implFlush(ByteBuffer out)`
`protected void` | `implReset()`

Methods inherited from class java.nio.charset.CharsetEncoder
`averageBytesPerChar, canEncode, canEncode, charset, encode, encode, flush, implOnMalformedInput, implOnUnmappableCharacter, implReplaceWith, isLegalReplacement, malformedInputAction, maxBytesPerChar, onMalformedInput, onUnmappableCharacter, replacement, replaceWith, reset, unmappableCharacterAction`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### implFlush

    protected CoderResult implFlush(ByteBuffer out)

  Overrides:
    `implFlush` in class `CharsetEncoder`

### encodeLoop

    public CoderResult encodeLoop(CharBuffer in,
                                  ByteBuffer out)

  Specified by:
    `encodeLoop` in class `CharsetEncoder`

### implReset

    protected void implReset()

  Overrides:
    `implReset` in class `CharsetEncoder`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2010 The Red5 Project